summaryrefslogtreecommitdiffstats
path: root/devtools
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-15 16:28:20 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-15 16:28:20 +0000
commitdcc721a95bef6f0d8e6d8775b8efe33e5aecd562 (patch)
tree66a2774cd0ee294d019efd71d2544c70f42b2842 /devtools
parentInitial commit. (diff)
downloadrsyslog-dcc721a95bef6f0d8e6d8775b8efe33e5aecd562.tar.xz
rsyslog-dcc721a95bef6f0d8e6d8775b8efe33e5aecd562.zip
Adding upstream version 8.2402.0.upstream/8.2402.0
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'devtools')
-rwxr-xr-xdevtools/prep-mysql-db.sh5
-rwxr-xr-xdevtools/prepare_clickhouse.sh13
2 files changed, 18 insertions, 0 deletions
diff --git a/devtools/prep-mysql-db.sh b/devtools/prep-mysql-db.sh
new file mode 100755
index 0000000..5f94a3d
--- /dev/null
+++ b/devtools/prep-mysql-db.sh
@@ -0,0 +1,5 @@
+#!/bin/bash
+# this script prepares a mysql instance for use by the rsyslog testbench
+
+mysql -u root -e "CREATE USER 'rsyslog'@'localhost' IDENTIFIED BY 'testbench';"
+mysql -u root -e "GRANT ALL PRIVILEGES ON *.* TO 'rsyslog'@'localhost'; FLUSH PRIVILEGES;"
diff --git a/devtools/prepare_clickhouse.sh b/devtools/prepare_clickhouse.sh
new file mode 100755
index 0000000..13add08
--- /dev/null
+++ b/devtools/prepare_clickhouse.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+# this script prepares a clickhouse instance for use by the rsyslog testbench
+
+
+clickhouse-client --query="CREATE DATABASE rsyslog"
+echo clickouse create database RETURN STATE: $?
+
+# At the moment only the database is created for preperation.
+# Every test creates a table for itself and drops it afterwards.
+# This could look something like this:
+
+#clickhouse-client --query="CREATE TABLE IF NOT EXISTS rsyslog.test ( id Int32, severity Int8, facility Int8, timestamp DateTime, ipaddress String, tag String, message String ) ENGINE = MergeTree() PARTITION BY severity Order By id"
+#clickhouse-client --query="DROP TABLE rsyslog.test"